<?php

class MostrarGrifos {

    private $conexion;

    public function __construct($conn) {
        $this->conexion = $conn;
    }

    public function ObtenerTodosLosGrifos() {

        // Consulta para obtener todos los grifos
        $sql = "SELECT * FROM grifos";

        $result = $this->conexion->executeQuery($sql);

        $grifos = array();

        if ($result->num_rows > 0) {
            while($row = $result->fetch_assoc()) {
                $grifos[] = $row;
            }
        }

        return $grifos;
    }

    /**
     * Método para obtener SOLO grifos activos
     */
    public function ObtenerGrifosActivos() {

        $sql = "SELECT id, nombre FROM grifos WHERE estado = 'Activo'";

        $result = $this->conexion->executeQuery($sql);

        $grifosActivos = array();

        if ($result->num_rows > 0) {
            while($row = $result->fetch_assoc()) {
                $grifosActivos[] = $row;
            }
        }

        return $grifosActivos;
    }
}
